pub fn is_sorted<T>(shoube_be_sorted: &[T]) -> bool
where
    T: PartialOrd + Ord + Clone + PartialEq + Eq,
{
    let mut sorted: Vec<T> = shoube_be_sorted.into_iter().cloned().collect();
    sorted.sort();
    sorted.as_slice().eq(shoube_be_sorted)
}

#[cfg(test)]
mod testing {

    #[test]
    fn should_detect_if_is_sorted() {
        fn assert_case(input: &[u32], expected: bool) {
            let actual = super::is_sorted(input);
            assert_eq!(expected, actual, "Input {:#?}", input);
        }

        assert_case(&[1, 2], true);
        assert_case(&[2, 1, 2], false);
        assert_case(&[2, 1], false);
        assert_case(&[1], true);
        assert_case(&[], true);
    }
}
