use super::dealt_hand::DealtHand;

pub fn parse_input(input: &str) -> Vec<DealtHand> {
    input.lines().map(|line| line.parse().unwrap()).collect()
}

#[cfg(test)]
mod testing {
    use crate::solutions::day7::{dealt_hand::DealtHand, TEST_INPUT};

    #[test]
    fn parse() {
        let actual = super::parse_input(TEST_INPUT);
        let expected = vec![
            DealtHand::new("32T3K", 765),
            DealtHand::new("T55J5", 684),
            DealtHand::new("KK677", 28),
            DealtHand::new("KTJJT", 220),
            DealtHand::new("QQQJA", 483),
        ];
        assert_eq!(expected, actual);
    }
}
